Package org.eclipse.mat.parser.internal.util

# Class LimitedValueIntStore

java.lang.Object
org.eclipse.mat.parser.internal.util.LimitedValueIntStore

public class LimitedValueIntStore extends Object

## Constructor Summary

Constructors
Constructor
Description
`LimitedValueIntStore(int maxValue, int initialCapacity)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`add(int index, int value)`
`final int`
`create()`
`final void`
`dispose(int index)`
`final int[]`
`get(int index)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LimitedValueIntStore

public LimitedValueIntStore(int maxValue, int initialCapacity)

## Method Details

### add

public final int add(int index, int value)

### get

public final int[] get(int index)

### create

public final int create()

### dispose

public final void dispose(int index)